diff --git a/src/main/java/net/minecraft/client/input/controller/ControllerInput.java b/src/main/java/net/minecraft/client/input/controller/ControllerInput.java
index 77ed4c282..080dfd0d2 100644
--- a/src/main/java/net/minecraft/client/input/controller/ControllerInput.java
+++ b/src/main/java/net/minecraft/client/input/controller/ControllerInput.java
@@ -2,7 +2,7 @@ package net.minecraft.client.input.controller;
 
 import com.b100.utils.ReflectUtils;
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.gui.GuiContainer;
+import net.minecraft.client.gui.container.AbstractContainerScreen;
 import net.minecraft.client.input.glfw.GlfwGamepad;
 import net.minecraft.core.player.inventory.slot.Slot;
 import net.minecraft.core.util.helper.Time;
@@ -41,7 +41,7 @@ public class ControllerInput {
 
     private final ControllerType type;
 
-    public final ControllerInventoryHandler craftingGuiHandler = new ControllerInventoryHandler(this);
+    public final ControllerInventoryHandler inventoryHandler = new ControllerInventoryHandler(this);
 
     private boolean disconnected = false;
 
@@ -145,17 +145,17 @@ public class ControllerInput {
         digitalPad.update();
     }
 
-    public Slot getSlotAtCursor(GuiContainer guiContainer) {
-        return getSlotAt((int) cursorX, (int) cursorY, guiContainer);
+    public Slot getSlotAtCursor(AbstractContainerScreen screen) {
+        return getSlotAt((int) cursorX, (int) cursorY, screen);
     }
 
-    public Slot getSlotAt(int x, int y, GuiContainer guiContainer) {
-        for (Slot slot : guiContainer.inventorySlots.slots) {
+    public Slot getSlotAt(int x, int y, AbstractContainerScreen screen) {
+        for (Slot slot : screen.inventorySlots.slots) {
             int mx = (int) cursorX;
             int my = (int) cursorY;
 
-            int slotX = (slot.x + (minecraft.resolution.scaledWidth - guiContainer.xSize) / 2) - 2;
-            int slotY = (slot.y + (minecraft.resolution.scaledHeight - guiContainer.ySize) / 2) - 2;
+            int slotX = (slot.x + (minecraft.resolution.scaledWidth - screen.xSize) / 2) - 2;
+            int slotY = (slot.y + (minecraft.resolution.scaledHeight - screen.ySize) / 2) - 2;
 
             if (mx > slotX && my > slotY && mx < slotX + 20 && my < slotY + 20) {
                 return slot;
@@ -164,15 +164,15 @@ public class ControllerInput {
         return null;
     }
 
-    public void snapToSlot(GuiContainer guiContainer, int id) {
-        snapToSlot(guiContainer, guiContainer.inventorySlots.getSlot(id));
+    public void snapToSlot(AbstractContainerScreen screen, int id) {
+        snapToSlot(screen, screen.inventorySlots.getSlot(id));
     }
 
-    public void snapToSlot(GuiContainer guiContainer, Slot slot) {
+    public void snapToSlot(AbstractContainerScreen screen, Slot slot) {
         if (slot == null) return;
 
-        int slotX = (slot.x + (minecraft.resolution.scaledWidth - guiContainer.xSize) / 2) - 1;
-        int slotY = (slot.y + (minecraft.resolution.scaledHeight - guiContainer.ySize) / 2) - 1;
+        int slotX = (slot.x + (minecraft.resolution.scaledWidth - screen.xSize) / 2) - 1;
+        int slotY = (slot.y + (minecraft.resolution.scaledHeight - screen.ySize) / 2) - 1;
 
         //Snap to Slot
         cursorX = slotX + 8;
diff --git a/src/main/java/net/minecraft/client/input/controller/ControllerInventoryHandler.java b/src/main/java/net/minecraft/client/input/controller/ControllerInventoryHandler.java
index 01ae1f0a8..fdda3ca7e 100644
--- a/src/main/java/net/minecraft/client/input/controller/ControllerInventoryHandler.java
+++ b/src/main/java/net/minecraft/client/input/controller/ControllerInventoryHandler.java
@@ -1,14 +1,16 @@
 package net.minecraft.client.input.controller;
 
 import com.b100.utils.interfaces.Condition;
-import net.minecraft.client.gui.GuiContainer;
-import net.minecraft.client.gui.GuiCrafting;
-import net.minecraft.client.gui.GuiFurnace;
-import net.minecraft.client.gui.GuiInventory;
+import com.mojang.logging.LogUtils;
+import net.minecraft.client.gui.container.AbstractContainerScreen;
+import net.minecraft.client.gui.container.CraftingScreen;
+import net.minecraft.client.gui.container.FurnaceScreen;
+import net.minecraft.client.gui.container.InventoryScreen;
 import net.minecraft.core.player.inventory.slot.Slot;
+import org.slf4j.Logger;
 
 public class ControllerInventoryHandler {
-	
+	private static final Logger LOGGER = LogUtils.getLogger();
 	public final ControllerInput controllerInput;
 	
 	private Slot lastSlot;
@@ -17,12 +19,12 @@ public class ControllerInventoryHandler {
 		this.controllerInput = controllerInput;
 	}
 	
-	public void handleAbstractCrafting(GuiContainer container, Condition<Slot> isInventorySlot, Condition<Slot> isCraftingSlot, Condition<Slot> isResultSlot, int craftingSlot, int resultSlot, int invSlot) {
+	public void handleAbstractCrafting(AbstractContainerScreen container, Condition<Slot> isInventorySlot, Condition<Slot> isCraftingSlot, Condition<Slot> isResultSlot, int craftingSlot, int resultSlot, int invSlot) {
 		Slot slot = controllerInput.getSlotAtCursor(container);
 		
 		if(controllerInput.buttonA.pressedThisFrame()) {
 			for(Slot slot2 : container.inventorySlots.slots) {
-				System.out.println(slot2.index +": "+slot2.getItem());
+                LOGGER.debug("{}: {}", slot2.index, slot2.getItem());
 			}
 		}
 		
@@ -42,7 +44,7 @@ public class ControllerInventoryHandler {
 						controllerInput.snapToSlot(container, invSlot); //Inventory Center
 					}
 				}else {
-					if(slot != null && slot.index > 9) lastSlot = slot;
+					if(slot.index > 9) lastSlot = slot;
 					controllerInput.snapToSlot(container, craftingSlot); //Crafting Grid Center
 				}
 			}else {
@@ -67,20 +69,20 @@ public class ControllerInventoryHandler {
 		}
 	}
 	
-	public void handleCrafting(GuiCrafting crafting) {
+	public void handleCrafting(CraftingScreen crafting) {
 		handleAbstractCrafting(crafting, (e) -> e.index > 9, (e) -> e.index > 0 && e.index < 10, (e) -> e.index == 0, 5, 0, 24);
 	}
 	
-	public void handleInventory(GuiInventory inventory) {
+	public void handleInventory(InventoryScreen inventory) {
 		handleAbstractCrafting(inventory, (e) -> e.index >= 9 && e.index <= 44, (e) -> e.index >= 1 && e.index <= 4, (e) -> e.index == 0, 1, 0, 22);
 	}
 	
-	public void handleFurnace(GuiFurnace furnace) {
+	public void handleFurnace(FurnaceScreen furnace) {
 		handleAbstractCrafting(furnace, (e) -> e.index >= 3 && e.index <= 38, (e) -> e.index >= 0 && e.index <= 1, (e) -> e.index == 2, 0, 2, 16);
 	}
 	
-	public void click(GuiContainer guiCrafting, int button) {
-		guiCrafting.mouseClicked((int)controllerInput.cursorX, (int)controllerInput.cursorY, button);
+	public void click(AbstractContainerScreen screen, int button) {
+		screen.mouseClicked((int)controllerInput.cursorX, (int)controllerInput.cursorY, button);
 	}
 	
 }
diff --git a/src/main/java/net/minecraft/client/lang/text/Text.java b/src/main/java/net/minecraft/client/lang/text/Text.java
index 2ac6d34f8..4d1f98374 100644
--- a/src/main/java/net/minecraft/client/lang/text/Text.java
+++ b/src/main/java/net/minecraft/client/lang/text/Text.java
@@ -1,6 +1,6 @@
 package net.minecraft.client.lang.text;
 
-import net.minecraft.client.render.FontRenderer;
+import net.minecraft.client.render.Font;
 import net.minecraft.core.net.command.TextFormatting;
 
 public abstract class Text {
@@ -17,8 +17,8 @@ public abstract class Text {
 
     abstract void toString(StringBuilder sb);
 
-    public int width(FontRenderer fontRenderer) {
-        return fontRenderer.getStringWidth(this.toString());
+    public int width(Font font) {
+        return font.getStringWidth(this.toString());
     }
 
     public Text trans(String languageKey) {
